package KCSoft.TabHostScrollView;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "KCSoft.TabHostScrollView", "KCSoft.TabHostScrollView.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "KCSoft.TabHostScrollView", "KCSoft.TabHostScrollView.main");
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.TabHostWrapper _tbhmain = null;
public anywheresoftware.b4a.objects.PanelWrapper _scvtest1 = null;
public anywheresoftware.b4a.objects.PanelWrapper _scvtest2 = null;
public it.csinet.b4aGrid.b4aGrid _cgrid = null;
public it.csinet.b4aGrid.b4aGrid _cgrid1 = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
		Debug.PushSubsStack("Activity_Create (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 24;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 25;BA.debugLine="Activity.LoadLayout(\"MainLayout\")";
Debug.ShouldStop(16777216);
mostCurrent._activity.LoadLayout("MainLayout",mostCurrent.activityBA);
 BA.debugLineNum = 26;BA.debugLine="tbhMain.Height=Activity.Height";
Debug.ShouldStop(33554432);
mostCurrent._tbhmain.setHeight(mostCurrent._activity.getHeight());
 BA.debugLineNum = 28;BA.debugLine="scvTest1.Initialize(100%y)";
Debug.ShouldStop(134217728);
mostCurrent._scvtest1.Initialize(mostCurrent.activityBA,BA.NumberToString(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(100),mostCurrent.activityBA)));
 BA.debugLineNum = 29;BA.debugLine="tbhMain.AddTab2(\"Test1\",scvTest1)";
Debug.ShouldStop(268435456);
mostCurrent._tbhmain.AddTab2("Test1",(android.view.View)(mostCurrent._scvtest1.getObject()));
 BA.debugLineNum = 30;BA.debugLine="scvTest1.Color=Colors.Yellow";
Debug.ShouldStop(536870912);
mostCurrent._scvtest1.setColor(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
 BA.debugLineNum = 32;BA.debugLine="scvTest2.Initialize(100%y)";
Debug.ShouldStop(-2147483648);
mostCurrent._scvtest2.Initialize(mostCurrent.activityBA,BA.NumberToString(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(100),mostCurrent.activityBA)));
 BA.debugLineNum = 33;BA.debugLine="tbhMain.AddTab2(\"Test2\",scvTest2)";
Debug.ShouldStop(1);
mostCurrent._tbhmain.AddTab2("Test2",(android.view.View)(mostCurrent._scvtest2.getObject()));
 BA.debugLineNum = 34;BA.debugLine="scvTest2.Color=Colors.Green";
Debug.ShouldStop(2);
mostCurrent._scvtest2.setColor(anywheresoftware.b4a.keywords.Common.Colors.Green);
 BA.debugLineNum = 36;BA.debugLine="Configura_Pantalla";
Debug.ShouldStop(8);
_configura_pantalla();
 BA.debugLineNum = 37;BA.debugLine="Carga_Datos";
Debug.ShouldStop(16);
_carga_datos();
 BA.debugLineNum = 38;BA.debugLine="Carga_Datos1";
Debug.ShouldStop(32);
_carga_datos1();
 BA.debugLineNum = 40;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_pause(boolean _userclosed) throws Exception{
		Debug.PushSubsStack("Activity_Pause (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 46;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(8192);
 BA.debugLineNum = 48;BA.debugLine="End Sub";
Debug.ShouldStop(32768);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_resume() throws Exception{
		Debug.PushSubsStack("Activity_Resume (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 42;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(512);
 BA.debugLineNum = 44;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _carga_datos() throws Exception{
		Debug.PushSubsStack("Carga_Datos (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
String _campo1 = "";
String _campo2 = "";
String _campo3 = "";
String _campo4 = "";
int _i = 0;
 BA.debugLineNum = 135;BA.debugLine="Sub Carga_Datos";
Debug.ShouldStop(64);
 BA.debugLineNum = 136;BA.debugLine="Dim Campo1,Campo2,Campo3,Campo4 As String";
Debug.ShouldStop(128);
_campo1 = "";Debug.locals.put("Campo1", _campo1);
_campo2 = "";Debug.locals.put("Campo2", _campo2);
_campo3 = "";Debug.locals.put("Campo3", _campo3);
_campo4 = "";Debug.locals.put("Campo4", _campo4);
 BA.debugLineNum = 137;BA.debugLine="Campo2=\"01/01/2013\"";
Debug.ShouldStop(256);
_campo2 = "01/01/2013";Debug.locals.put("Campo2", _campo2);
 BA.debugLineNum = 138;BA.debugLine="Campo3=\"1.250,30\"";
Debug.ShouldStop(512);
_campo3 = "1.250,30";Debug.locals.put("Campo3", _campo3);
 BA.debugLineNum = 139;BA.debugLine="Campo4=\"300.00\"";
Debug.ShouldStop(1024);
_campo4 = "300.00";Debug.locals.put("Campo4", _campo4);
 BA.debugLineNum = 140;BA.debugLine="For i=1 To 150";
Debug.ShouldStop(2048);
{
final double step89 = 1;
final double limit89 = (int)(150);
for (_i = (int)(1); (step89 > 0 && _i <= limit89) || (step89 < 0 && _i >= limit89); _i += step89) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 141;BA.debugLine="Campo1=\"F-00000\" & i";
Debug.ShouldStop(4096);
_campo1 = "F-00000"+BA.NumberToString(_i);Debug.locals.put("Campo1", _campo1);
 BA.debugLineNum = 142;BA.debugLine="cgrid.RowAppend  ( Array As String (Campo1,Campo2,Campo3,Campo4) )";
Debug.ShouldStop(8192);
mostCurrent._cgrid.RowAppend(new String[]{_campo1,_campo2,_campo3,_campo4});
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 144;BA.debugLine="End Sub";
Debug.ShouldStop(32768);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _carga_datos1() throws Exception{
		Debug.PushSubsStack("Carga_Datos1 (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
String _campo1 = "";
String _campo2 = "";
int _i = 0;
 BA.debugLineNum = 146;BA.debugLine="Sub Carga_Datos1";
Debug.ShouldStop(131072);
 BA.debugLineNum = 148;BA.debugLine="Dim Campo1,Campo2 As String";
Debug.ShouldStop(524288);
_campo1 = "";Debug.locals.put("Campo1", _campo1);
_campo2 = "";Debug.locals.put("Campo2", _campo2);
 BA.debugLineNum = 149;BA.debugLine="For i=1 To 150";
Debug.ShouldStop(1048576);
{
final double step96 = 1;
final double limit96 = (int)(150);
for (_i = (int)(1); (step96 > 0 && _i <= limit96) || (step96 < 0 && _i >= limit96); _i += step96) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 150;BA.debugLine="Campo1=\"Referencia_ \" & i";
Debug.ShouldStop(2097152);
_campo1 = "Referencia_ "+BA.NumberToString(_i);Debug.locals.put("Campo1", _campo1);
 BA.debugLineNum = 151;BA.debugLine="Campo2=\"Descripción_ \" & i";
Debug.ShouldStop(4194304);
_campo2 = "Descripción_ "+BA.NumberToString(_i);Debug.locals.put("Campo2", _campo2);
 BA.debugLineNum = 152;BA.debugLine="DoEvents";
Debug.ShouldStop(8388608);
anywheresoftware.b4a.keywords.Common.DoEvents();
 BA.debugLineNum = 153;BA.debugLine="cgrid1.RowAppend  ( Array As String (Campo1,Campo2 ) )";
Debug.ShouldStop(16777216);
mostCurrent._cgrid1.RowAppend(new String[]{_campo1,_campo2});
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 155;BA.debugLine="End Sub";
Debug.ShouldStop(67108864);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _configura_pantalla() throws Exception{
		Debug.PushSubsStack("Configura_Pantalla (main) ","main",0,mostCurrent.activityBA,mostCurrent);
try {
it.csinet.b4aGrid.b4aGridCol[] _cc = null;
it.csinet.b4aGrid.b4aGridCol[] _cc1 = null;
 BA.debugLineNum = 50;BA.debugLine="Sub Configura_Pantalla";
Debug.ShouldStop(131072);
 BA.debugLineNum = 52;BA.debugLine="If cgrid.IsInitialized = False Then";
Debug.ShouldStop(524288);
if (mostCurrent._cgrid.IsInitialized()==anywheresoftware.b4a.keywords.Common.False) { 
 BA.debugLineNum = 53;BA.debugLine="cgrid.Initialize(\"Cgrid\")";
Debug.ShouldStop(1048576);
mostCurrent._cgrid.Initialize(mostCurrent.activityBA,"Cgrid");
 BA.debugLineNum = 55;BA.debugLine="cgrid.RowHeight = 30dip";
Debug.ShouldStop(4194304);
mostCurrent._cgrid.setRowHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(30)));
 BA.debugLineNum = 56;BA.debugLine="cgrid.HeaderColor = Colors.Gray";
Debug.ShouldStop(8388608);
mostCurrent._cgrid.setHeaderColor(anywheresoftware.b4a.keywords.Common.Colors.Gray);
 BA.debugLineNum = 57;BA.debugLine="cgrid.RowEvenColor = Colors.White";
Debug.ShouldStop(16777216);
mostCurrent._cgrid.setRowEvenColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 BA.debugLineNum = 58;BA.debugLine="cgrid.RowOddColor = Colors.RGB(192,255,192)";
Debug.ShouldStop(33554432);
mostCurrent._cgrid.setRowOddColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int)(192),(int)(255),(int)(192)));
 BA.debugLineNum = 59;BA.debugLine="cgrid.GridColor=Colors.Black";
Debug.ShouldStop(67108864);
mostCurrent._cgrid.setGridColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 BA.debugLineNum = 60;BA.debugLine="cgrid.HeaderHeight = 30dip";
Debug.ShouldStop(134217728);
mostCurrent._cgrid.setHeaderHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(30)));
 BA.debugLineNum = 62;BA.debugLine="cgrid.HeaderTextSize = 13";
Debug.ShouldStop(536870912);
mostCurrent._cgrid.setHeaderTextSize((float)(13));
 BA.debugLineNum = 63;BA.debugLine="cgrid.RowTextSize = 12";
Debug.ShouldStop(1073741824);
mostCurrent._cgrid.setRowTextSize((float)(12));
 BA.debugLineNum = 64;BA.debugLine="cgrid.HeaderTextColor = Colors.Black";
Debug.ShouldStop(-2147483648);
mostCurrent._cgrid.setHeaderTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 BA.debugLineNum = 65;BA.debugLine="cgrid.RowTextColor = Colors.Black";
Debug.ShouldStop(1);
mostCurrent._cgrid.setRowTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 BA.debugLineNum = 67;BA.debugLine="cgrid.SelectedOddColor = Colors.RGB(192,192,255)";
Debug.ShouldStop(4);
mostCurrent._cgrid.setSelectedOddColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int)(192),(int)(192),(int)(255)));
 BA.debugLineNum = 68;BA.debugLine="cgrid.SelectedEvenColor = Colors.RGB(192,192,255)";
Debug.ShouldStop(8);
mostCurrent._cgrid.setSelectedEvenColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int)(192),(int)(192),(int)(255)));
 BA.debugLineNum = 71;BA.debugLine="Dim cc(4) As xnGridCol";
Debug.ShouldStop(64);
_cc = new it.csinet.b4aGrid.b4aGridCol[(int)(4)];
{
int d0 = _cc.length;
for (int i0 = 0;i0 < d0;i0++) {
_cc[i0] = new it.csinet.b4aGrid.b4aGridCol();
}
}
;Debug.locals.put("cc", _cc);
 BA.debugLineNum = 73;BA.debugLine="cc(0).Initialize2 (\"Nº Factura\" , \"Campo1\" , 80dip , Gravity.CENTER_HORIZONTAL +Gravity.CENTER_VERTICAL)";
Debug.ShouldStop(256);
_cc[(int)(0)].Initialize2("Nº Factura","Campo1",anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(80)),(int)(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_HORIZONTAL+anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 74;BA.debugLine="cc(0).HeaderGravity = Gravity.CENTER_VERTICAL  + Gravity.CENTER_HORIZONTAL";
Debug.ShouldStop(512);
_cc[(int)(0)].setHeaderGravity((int)(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL+anywheresoftware.b4a.keywords.Common.Gravity.CENTER_HORIZONTAL));
 BA.debugLineNum = 75;BA.debugLine="cgrid.ColAppend  ( cc(0) )";
Debug.ShouldStop(1024);
mostCurrent._cgrid.ColAppend((it.csinet.b4aGrid.xnGridCol)(_cc[(int)(0)]));
 BA.debugLineNum = 78;BA.debugLine="cc(1).Initialize2 (\"Fecha\", \"Campo2\" , 80dip  , Gravity.CENTER_HORIZONTAL+Gravity.CENTER_VERTICAL  )";
Debug.ShouldStop(8192);
_cc[(int)(1)].Initialize2("Fecha","Campo2",anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(80)),(int)(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_HORIZONTAL+anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 79;BA.debugLine="cc(1).HeaderGravity = Gravity.CENTER_VERTICAL  + Gravity.CENTER_HORIZONTAL";
Debug.ShouldStop(16384);
_cc[(int)(1)].setHeaderGravity((int)(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL+anywheresoftware.b4a.keywords.Common.Gravity.CENTER_HORIZONTAL));
 BA.debugLineNum = 80;BA.debugLine="cgrid.ColAppend ( cc(1) )";
Debug.ShouldStop(32768);
mostCurrent._cgrid.ColAppend((it.csinet.b4aGrid.xnGridCol)(_cc[(int)(1)]));
 BA.debugLineNum = 82;BA.debugLine="cc(2).Initialize2 (\"Imp.Ftra.\", \"Campo3\" , 80dip , Gravity.RIGHT+Gravity.CENTER_VERTICAL  )";
Debug.ShouldStop(131072);
_cc[(int)(2)].Initialize2("Imp.Ftra.","Campo3",anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(80)),(int)(anywheresoftware.b4a.keywords.Common.Gravity.RIGHT+anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 83;BA.debugLine="cc(2).HeaderGravity = Gravity.CENTER_VERTICAL  + Gravity.CENTER_HORIZONTAL";
Debug.ShouldStop(262144);
_cc[(int)(2)].setHeaderGravity((int)(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL+anywheresoftware.b4a.keywords.Common.Gravity.CENTER_HORIZONTAL));
 BA.debugLineNum = 84;BA.debugLine="cgrid.ColAppend ( cc(2) )";
Debug.ShouldStop(524288);
mostCurrent._cgrid.ColAppend((it.csinet.b4aGrid.xnGridCol)(_cc[(int)(2)]));
 BA.debugLineNum = 86;BA.debugLine="cc(3).Initialize2 ( \"Deuda\" , \"Campo4\" ,  80dip ,  Gravity.RIGHT+Gravity.CENTER_VERTICAL   )";
Debug.ShouldStop(2097152);
_cc[(int)(3)].Initialize2("Deuda","Campo4",anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(80)),(int)(anywheresoftware.b4a.keywords.Common.Gravity.RIGHT+anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 87;BA.debugLine="cc(3).HeaderGravity = Gravity.CENTER_VERTICAL  + Gravity.CENTER_HORIZONTAL";
Debug.ShouldStop(4194304);
_cc[(int)(3)].setHeaderGravity((int)(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL+anywheresoftware.b4a.keywords.Common.Gravity.CENTER_HORIZONTAL));
 BA.debugLineNum = 88;BA.debugLine="cgrid.ColAppend ( cc(3) )";
Debug.ShouldStop(8388608);
mostCurrent._cgrid.ColAppend((it.csinet.b4aGrid.xnGridCol)(_cc[(int)(3)]));
 BA.debugLineNum = 90;BA.debugLine="scvTest1.AddView(cgrid,0dip,0dip,Activity.Width-6dip,Activity.Height-6dip)";
Debug.ShouldStop(33554432);
mostCurrent._scvtest1.AddView((android.view.View)(mostCurrent._cgrid.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),(int)(mostCurrent._activity.getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(6))),(int)(mostCurrent._activity.getHeight()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(6))));
 BA.debugLineNum = 91;BA.debugLine="cgrid.GridWidth = 1dip";
Debug.ShouldStop(67108864);
mostCurrent._cgrid.setGridWidth(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(1)));
 BA.debugLineNum = 92;BA.debugLine="cgrid.GridCreate2 (True)";
Debug.ShouldStop(134217728);
mostCurrent._cgrid.GridCreate2(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 93;BA.debugLine="DoEvents";
Debug.ShouldStop(268435456);
anywheresoftware.b4a.keywords.Common.DoEvents();
 };
 BA.debugLineNum = 97;BA.debugLine="If cgrid1.IsInitialized = False Then";
Debug.ShouldStop(1);
if (mostCurrent._cgrid1.IsInitialized()==anywheresoftware.b4a.keywords.Common.False) { 
 BA.debugLineNum = 98;BA.debugLine="cgrid1.Initialize(\"Cgrid1\")";
Debug.ShouldStop(2);
mostCurrent._cgrid1.Initialize(mostCurrent.activityBA,"Cgrid1");
 BA.debugLineNum = 100;BA.debugLine="cgrid1.RowHeight = 30dip";
Debug.ShouldStop(8);
mostCurrent._cgrid1.setRowHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(30)));
 BA.debugLineNum = 101;BA.debugLine="cgrid1.HeaderColor = Colors.Gray";
Debug.ShouldStop(16);
mostCurrent._cgrid1.setHeaderColor(anywheresoftware.b4a.keywords.Common.Colors.Gray);
 BA.debugLineNum = 102;BA.debugLine="cgrid1.RowEvenColor = Colors.White";
Debug.ShouldStop(32);
mostCurrent._cgrid1.setRowEvenColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 BA.debugLineNum = 103;BA.debugLine="cgrid1.RowOddColor = Colors.RGB(192,255,192)";
Debug.ShouldStop(64);
mostCurrent._cgrid1.setRowOddColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int)(192),(int)(255),(int)(192)));
 BA.debugLineNum = 104;BA.debugLine="cgrid1.GridColor=Colors.Black";
Debug.ShouldStop(128);
mostCurrent._cgrid1.setGridColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 BA.debugLineNum = 105;BA.debugLine="cgrid1.HeaderHeight = 30dip";
Debug.ShouldStop(256);
mostCurrent._cgrid1.setHeaderHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(30)));
 BA.debugLineNum = 107;BA.debugLine="cgrid1.HeaderTextSize = 13";
Debug.ShouldStop(1024);
mostCurrent._cgrid1.setHeaderTextSize((float)(13));
 BA.debugLineNum = 108;BA.debugLine="cgrid1.RowTextSize = 12";
Debug.ShouldStop(2048);
mostCurrent._cgrid1.setRowTextSize((float)(12));
 BA.debugLineNum = 109;BA.debugLine="cgrid1.HeaderTextColor = Colors.Black";
Debug.ShouldStop(4096);
mostCurrent._cgrid1.setHeaderTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 BA.debugLineNum = 110;BA.debugLine="cgrid1.RowTextColor = Colors.Black";
Debug.ShouldStop(8192);
mostCurrent._cgrid1.setRowTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 BA.debugLineNum = 112;BA.debugLine="cgrid1.SelectedOddColor = Colors.RGB(192,192,255)";
Debug.ShouldStop(32768);
mostCurrent._cgrid1.setSelectedOddColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int)(192),(int)(192),(int)(255)));
 BA.debugLineNum = 113;BA.debugLine="cgrid1.SelectedEvenColor = Colors.RGB(192,192,255)";
Debug.ShouldStop(65536);
mostCurrent._cgrid1.setSelectedEvenColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int)(192),(int)(192),(int)(255)));
 BA.debugLineNum = 116;BA.debugLine="Dim cc1(2) As xnGridCol";
Debug.ShouldStop(524288);
_cc1 = new it.csinet.b4aGrid.b4aGridCol[(int)(2)];
{
int d0 = _cc1.length;
for (int i0 = 0;i0 < d0;i0++) {
_cc1[i0] = new it.csinet.b4aGrid.b4aGridCol();
}
}
;Debug.locals.put("cc1", _cc1);
 BA.debugLineNum = 118;BA.debugLine="cc1(0).Initialize2 (\"Referencia\" , \"Campo1\" , 120dip , Gravity.CENTER_HORIZONTAL +Gravity.CENTER_VERTICAL)";
Debug.ShouldStop(2097152);
_cc1[(int)(0)].Initialize2("Referencia","Campo1",anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(120)),(int)(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_HORIZONTAL+anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 119;BA.debugLine="cc1(0).HeaderGravity = Gravity.CENTER_VERTICAL  + Gravity.CENTER_HORIZONTAL";
Debug.ShouldStop(4194304);
_cc1[(int)(0)].setHeaderGravity((int)(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL+anywheresoftware.b4a.keywords.Common.Gravity.CENTER_HORIZONTAL));
 BA.debugLineNum = 120;BA.debugLine="cgrid1.ColAppend  ( cc1(0) )";
Debug.ShouldStop(8388608);
mostCurrent._cgrid1.ColAppend((it.csinet.b4aGrid.xnGridCol)(_cc1[(int)(0)]));
 BA.debugLineNum = 123;BA.debugLine="cc1(1).Initialize2 (\"Descripción\", \"Campo2\" , 180dip  , Gravity.CENTER_HORIZONTAL+Gravity.CENTER_VERTICAL  )";
Debug.ShouldStop(67108864);
_cc1[(int)(1)].Initialize2("Descripción","Campo2",anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(180)),(int)(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_HORIZONTAL+anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL));
 BA.debugLineNum = 124;BA.debugLine="cc1(1).HeaderGravity = Gravity.CENTER_VERTICAL  + Gravity.CENTER_HORIZONTAL";
Debug.ShouldStop(134217728);
_cc1[(int)(1)].setHeaderGravity((int)(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL+anywheresoftware.b4a.keywords.Common.Gravity.CENTER_HORIZONTAL));
 BA.debugLineNum = 125;BA.debugLine="cgrid1.ColAppend ( cc1(1) )";
Debug.ShouldStop(268435456);
mostCurrent._cgrid1.ColAppend((it.csinet.b4aGrid.xnGridCol)(_cc1[(int)(1)]));
 BA.debugLineNum = 127;BA.debugLine="scvTest2.AddView(cgrid1,0dip,0dip,Activity.Width-6dip,Activity.Height-6dip)";
Debug.ShouldStop(1073741824);
mostCurrent._scvtest2.AddView((android.view.View)(mostCurrent._cgrid1.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),(int)(mostCurrent._activity.getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(6))),(int)(mostCurrent._activity.getHeight()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(6))));
 BA.debugLineNum = 128;BA.debugLine="cgrid1.GridWidth = 1dip";
Debug.ShouldStop(-2147483648);
mostCurrent._cgrid1.setGridWidth(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(1)));
 BA.debugLineNum = 129;BA.debugLine="cgrid1.GridCreate2 (True)";
Debug.ShouldStop(1);
mostCurrent._cgrid1.GridCreate2(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 130;BA.debugLine="DoEvents";
Debug.ShouldStop(2);
anywheresoftware.b4a.keywords.Common.DoEvents();
 };
 BA.debugLineNum = 133;BA.debugLine="End Sub";
Debug.ShouldStop(16);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}

public static void initializeProcessGlobals() {
    if (mostCurrent != null && mostCurrent.activityBA != null) {
Debug.StartDebugging(mostCurrent.activityBA, 19244, new int[] {5}, "d43ddfd4-25f9-4db5-8629-547e1bc49301");}

    if (processGlobalsRun == false) {
	    processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

public static void killProgram() {
    
            if (main.previousOne != null) {
				Activity a = main.previousOne.get();
				if (a != null)
					a.finish();
			}

}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 18;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 19;BA.debugLine="Dim tbhMain As TabHost";
mostCurrent._tbhmain = new anywheresoftware.b4a.objects.TabHostWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Dim scvTest1, scvTest2 As Panel";
mostCurrent._scvtest1 = new anywheresoftware.b4a.objects.PanelWrapper();
mostCurrent._scvtest2 = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Dim cgrid,cgrid1 As xnGrid";
mostCurrent._cgrid = new it.csinet.b4aGrid.b4aGrid();
mostCurrent._cgrid1 = new it.csinet.b4aGrid.b4aGrid();
 //BA.debugLineNum = 22;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 12;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 16;BA.debugLine="End Sub";
return "";
}
  public Object[] GetGlobals() {
		return new Object[] {"Activity",_activity,"tbhMain",_tbhmain,"scvTest1",_scvtest1,"scvTest2",_scvtest2,"cgrid",_cgrid,"cgrid1",_cgrid1};
}
}
